#
# spec file for package python-Tempita
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Tempita
Version:        0.5.2+git.1630978236.a30af77
Release:        1.16
Summary:        A very small text templating language
License:        MIT
URL:            https://github.com/nsoranzo/tempita
Source:         tempita-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Tempita is a small templating language for text substitution.

This isn't meant to be the Next Big Thing in templating; it's just a
handy little templating language for when your project outgrows
string.Template or % substitution.  It's small, it embeds
Python in strings, and it doesn't do much else.

%prep
%setup -q -n tempita-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/Tempita*
%{python_sitelib}/tempita*

%changelog
* Mon Mar 21 2022 mcepl@cepl.eu
- Update to version 0.5.2+git.1630978236.a30af77:
  * Update to Python 3.6, drop 2to3
  * invalid commands
  * versionbump
  * shebang
  * small performance patch for Tempita
  * order imports
  * compatability is hard
  * py3 unicode
- Switch upstream (the original is so dead, it is hard to find it
  even in the Web Archive; gh#nsoranzo/tempita#1).
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jul  3 2017 tbechtold@suse.com
- update to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 0.5.2
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 saschpe@suse.de
- Simplify macro usage
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
